<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
   
   <meta name="description" content="FLUBIO - An unstructured, parallel, finite volume Navier-Stokes solver for teaching and research purposes">
    
    <meta name="author" content="Edoardo Alinovi and Joel Guerrero" >
    <link rel="icon" href="../favicon.png">

    <title>velocityInletBoundary &ndash; FLUBIO</title>

    <link href="../css/bootstrap.min.css" rel="stylesheet">
    <link href="../css/pygments.css" rel="stylesheet">
    <link href="../css/font-awesome.min.css" rel="stylesheet">
    <link href="../css/local.css" rel="stylesheet">
    
    <link  href="../tipuesearch/tipuesearch.css" rel="stylesheet">
    
    

    <!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
    <!--[if lt IE 9]>
      <script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
      <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
    <![endif]-->
    
    <script src="../js/jquery-2.1.3.min.js"></script>
    <script src="../js/svg-pan-zoom.min.js"></script>

  </head>

  <body>

    <!-- Fixed navbar -->
    <nav class="navbar navbar-inverse navbar-fixed-top">
      <div class="container">
        <div class="navbar-header">
          <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar" aria-expanded="false" aria-controls="navbar">
            <span class="sr-only">Toggle navigation</span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
          </button>
          <a class="navbar-brand" href="../index.html">FLUBIO </a>
        </div>
        <div id="navbar" class="navbar-collapse collapse">
          <ul class="nav navbar-nav">
        
            <li class="dropdown hidden-xs visible-sm visible-md hidden-lg">
              <a href="#" class="dropdown-toggle"
              data-toggle="dropdown" role="button"
              aria-haspopup="true"
     aria-expanded="false">Contents <span class="caret"></span></a>
        <ul class="dropdown-menu">
          
              
            <li><a href="../lists/files.html">Source Files</a></li>
        
        
        
            <li><a href="../lists/modules.html">Modules</a></li>
        
            
                                
            <li><a href="../lists/procedures.html">Procedures</a></li>
        
               
            <li><a href="../lists/types.html">Derived Types</a></li>
        
        
            <li><a href="../lists/programs.html">Programs</a></li>
               
        
        
            </ul>
        
            </li>


<li class="visible-xs hidden-sm visible-lg"><a href="../lists/files.html">Source Files</a></li>



<li class="visible-xs hidden-sm visible-lg"><a href="../lists/modules.html">Modules</a></li>



<li class="visible-xs hidden-sm visible-lg"><a href="../lists/procedures.html">Procedures</a></li>

                             
<li class="visible-xs hidden-sm visible-lg"><a href="../lists/types.html">Derived Types</a></li>


<li class="visible-xs hidden-sm visible-lg"><a href="../lists/programs.html">Programs</a></li>



          </ul>
        
        <form action="../search.html" class="navbar-form navbar-right" role="search">
        <div class="form-group">
          <input type="text" class="form-control" placeholder="Search" name="q" id="tipue_search_input" autocomplete="off" required>
        </div>
<!--
        <button type="submit" class="btn btn-default">Submit</button>
-->
        </form>
        
        </div><!--/.nav-collapse -->
      </div>
    </nav>

    <div class="container">
    
  
  <div class="row">
    <h1>velocityInletBoundary
      <small>Subroutine</small>
    
    </h1>
    
<div class="row">
  <div class="col-lg-12">
<div class="well well-sm">
  <ul class="list-inline" style="margin-bottom:0px;display:inline">
     
     
     
    <li><i class="fa fa-legal"></i> <a rel="license" href="http://creativecommons.org/licenses/by-nc/4.0/"><img alt="Creative Commons License" style="border-width:0" src="https://i.creativecommons.org/l/by-nc/4.0/80x15.png" /></a></li> 
     
     
     
    
    
     <li><i class="fa fa-list-ol"></i>
       <a data-toggle="tooltip"
    data-placement="bottom" data-html="true"
    title=" 0.1% of total for procedures.">17 statements</a>
     </li> 
     
     
     
    <li><i class="fa fa-code"></i><a href="../src/velocityInlet.f03"> Source File</a></li>
     
     
  </ul>
  <ol class="breadcrumb in-well text-right">
  
    
     <li><a href='../sourcefile/velocityinlet.f03.html'>velocityInlet.f03</a></li>
    
  
     <li class="active">velocityInletBoundary</li>
  </ol>
</div>
</div>
</div>
<script>
  $(function () {
  $('[data-toggle="tooltip"]').tooltip()
  })
</script>

  </div>
  
  <div class="row">
    <div class="col-md-3 hidden-xs hidden-sm visible-md visible-lg">
    
<div id="sidebar">
  
<h3>Contents</h3>
 





















<em>None</em>


</div>

    </div>
    
    <div class="col-md-9" id='text'>
    <h2>
subroutine velocityInletBoundary(iBFace, aC, bC, phib, mu, c)
    
    
   
</h2>
    
  
    <div class="panel panel-default">
      <div class="panel-heading">
  <h3 class="panel-title">Uses</h3>
      </div>
      <ul class="list-group">
      
      <li class="list-group-item">
  <ul class="list-inline">
    
    <li><a href='../module/massflowvar.html'>massFlowVar</a></li>
    
    <li><a href='../module/meshvar.html'>meshvar</a></li>
    
  </ul>
      </li>
      
      
      
      <li class="list-group-item">
  <div class="depgraph"><?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"
 "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
<!-- Generated by graphviz version 2.40.1 (20161225.0304)
 -->
<!-- Title: proc~~velocityinletboundary~~UsesGraph Pages: 1 -->
<svg id="procvelocityinletboundaryUsesGraph" width="641pt" height="412pt"
 viewBox="0.00 0.00 641.00 411.64" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
<g id="proc~~velocityinletboundary~~UsesGraph" class="graph" transform="scale(.6762 .6762) rotate(0) translate(4 604.7879)">
<title>proc~~velocityinletboundary~~UsesGraph</title>
<polygon fill="#ffffff" stroke="transparent" points="-4,4 -4,-604.7879 944,-604.7879 944,4 -4,4"/>
<!-- proc~velocityinletboundary -->
<g id="proc~~velocityinletboundary~~UsesGraph_node1" class="node">
<title>proc~velocityinletboundary</title>
<polygon fill="none" stroke="#000000" points="940,-375.7879 826,-375.7879 826,-351.7879 940,-351.7879 940,-375.7879"/>
<text text-anchor="middle" x="883" y="-361.3879" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#000000">velocityInletBoundary</text>
</g>
<!-- module~meshvar -->
<g id="proc~~velocityinletboundary~~UsesGraph_node2" class="node">
<title>module~meshvar</title>
<g id="a_proc~~velocityinletboundary~~UsesGraph_node2"><a xlink:href=".././module/meshvar.html" xlink:title="meshvar">
<polygon fill="#337ab7" stroke="#337ab7" points="778.5,-396.7879 724.5,-396.7879 724.5,-372.7879 778.5,-372.7879 778.5,-396.7879"/>
<text text-anchor="middle" x="751.5" y="-382.3879" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">meshvar</text>
</a>
</g>
</g>
<!-- proc~velocityinletboundary&#45;&gt;module~meshvar -->
<g id="proc~~velocityinletboundary~~UsesGraph_edge1" class="edge">
<title>proc~velocityinletboundary&#45;&gt;module~meshvar</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M825.7047,-372.9377C813.199,-374.9348 800.2783,-376.9982 788.7931,-378.8324"/>
<polygon fill="#000000" stroke="#000000" points="788.0249,-375.4106 778.702,-380.4439 789.1289,-382.323 788.0249,-375.4106"/>
</g>
<!-- module~massflowvar -->
<g id="proc~~velocityinletboundary~~UsesGraph_node3" class="node">
<title>module~massflowvar</title>
<g id="a_proc~~velocityinletboundary~~UsesGraph_node3"><a xlink:href=".././module/massflowvar.html" xlink:title="massFlowVar">
<polygon fill="#337ab7" stroke="#337ab7" points="790,-354.7879 713,-354.7879 713,-330.7879 790,-330.7879 790,-354.7879"/>
<text text-anchor="middle" x="751.5" y="-340.3879" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">massFlowVar</text>
</a>
</g>
</g>
<!-- proc~velocityinletboundary&#45;&gt;module~massflowvar -->
<g id="proc~~velocityinletboundary~~UsesGraph_edge2" class="edge">
<title>proc~velocityinletboundary&#45;&gt;module~massflowvar</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M825.7047,-354.6381C817.143,-353.2708 808.3868,-351.8725 800.0298,-350.5379"/>
<polygon fill="#000000" stroke="#000000" points="800.501,-347.0689 790.0741,-348.948 799.397,-353.9813 800.501,-347.0689"/>
</g>
<!-- module~flubiomesh -->
<g id="proc~~velocityinletboundary~~UsesGraph_node4" class="node">
<title>module~flubiomesh</title>
<g id="a_proc~~velocityinletboundary~~UsesGraph_node4"><a xlink:href=".././module/flubiomesh.html" xlink:title="flubioMesh">
<polygon fill="#337ab7" stroke="#337ab7" points="677,-295.7879 613,-295.7879 613,-271.7879 677,-271.7879 677,-295.7879"/>
<text text-anchor="middle" x="645" y="-281.3879" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">flubioMesh</text>
</a>
</g>
</g>
<!-- module~meshvar&#45;&gt;module~flubiomesh -->
<g id="proc~~velocityinletboundary~~UsesGraph_edge3" class="edge">
<title>module~meshvar&#45;&gt;module~flubiomesh</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M726.2046,-372.7313C721.6157,-370.0677 717.0165,-367.0547 713,-363.7879 691.5647,-346.3536 671.6734,-321.5183 659.0126,-304.1585"/>
<polygon fill="#000000" stroke="#000000" points="661.7367,-301.9503 653.081,-295.8406 656.0374,-306.0146 661.7367,-301.9503"/>
</g>
<!-- module~globalmeshvar -->
<g id="proc~~velocityinletboundary~~UsesGraph_node5" class="node">
<title>module~globalmeshvar</title>
<g id="a_proc~~velocityinletboundary~~UsesGraph_node5"><a xlink:href=".././module/globalmeshvar.html" xlink:title="globalMeshVar">
<polygon fill="#337ab7" stroke="#337ab7" points="207,-257.7879 123,-257.7879 123,-233.7879 207,-233.7879 207,-257.7879"/>
<text text-anchor="middle" x="165" y="-243.3879" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">globalMeshVar</text>
</a>
</g>
</g>
<!-- module~meshvar&#45;&gt;module~globalmeshvar -->
<g id="proc~~velocityinletboundary~~UsesGraph_edge4" class="edge">
<title>module~meshvar&#45;&gt;module~globalmeshvar</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M736.6674,-397.1725C702.8028,-424.1424 616.2389,-485.7879 532.5,-485.7879 532.5,-485.7879 532.5,-485.7879 418.5,-485.7879 340.0442,-485.7879 304.5113,-515.4877 243,-466.7879 210.8287,-441.3172 180.9321,-318.792 169.6968,-267.9606"/>
<polygon fill="#000000" stroke="#000000" points="173.0752,-267.0247 167.5316,-257.996 166.2349,-268.5111 173.0752,-267.0247"/>
</g>
<!-- module~flubiomesh&#45;&gt;module~globalmeshvar -->
<g id="proc~~velocityinletboundary~~UsesGraph_edge5" class="edge">
<title>module~flubiomesh&#45;&gt;module~globalmeshvar</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M532.5,-201.7879C513.3447,-192.0132 506.1056,-209.1838 488,-220.7879 452.8995,-243.2841 459.5712,-276.6268 418.5,-283.7879"/>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M418.5,-283.7879C345.1353,-296.5796 259.3635,-276.4102 208.7546,-260.9061"/>
<polygon fill="#000000" stroke="#000000" points="209.705,-257.5361 199.1157,-257.8786 207.6074,-264.2144 209.705,-257.5361"/>
</g>
<!-- kdtree2_module -->
<g id="proc~~velocityinletboundary~~UsesGraph_node6" class="node">
<title>kdtree2_module</title>
<polygon fill="#337ab7" stroke="#337ab7" points="577,-253.7879 488,-253.7879 488,-229.7879 577,-229.7879 577,-253.7879"/>
<text text-anchor="middle" x="532.5" y="-239.3879" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">kdtree2_module</text>
</g>
<!-- module~flubiomesh&#45;&gt;kdtree2_module -->
<g id="proc~~velocityinletboundary~~UsesGraph_edge6" class="edge">
<title>module~flubiomesh&#45;&gt;kdtree2_module</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M612.762,-271.7524C600.7583,-267.271 586.9586,-262.1191 574.225,-257.3652"/>
<polygon fill="#000000" stroke="#000000" points="575.3353,-254.0438 564.7427,-253.8252 572.887,-260.6017 575.3353,-254.0438"/>
</g>
<!-- module~math -->
<g id="proc~~velocityinletboundary~~UsesGraph_node7" class="node">
<title>module~math</title>
<g id="a_proc~~velocityinletboundary~~UsesGraph_node7"><a xlink:href=".././module/math.html" xlink:title="math">
<polygon fill="#337ab7" stroke="#337ab7" points="323,-457.7879 269,-457.7879 269,-433.7879 323,-433.7879 323,-457.7879"/>
<text text-anchor="middle" x="296" y="-443.3879" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">math</text>
</a>
</g>
</g>
<!-- module~flubiomesh&#45;&gt;module~math -->
<g id="proc~~velocityinletboundary~~UsesGraph_edge10" class="edge">
<title>module~flubiomesh&#45;&gt;module~math</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M624.5914,-295.8073C589.8472,-316.0113 516.6779,-357.4455 452,-386.7879 412.1454,-404.8688 364.9738,-422.1655 333.0173,-433.3016"/>
<polygon fill="#000000" stroke="#000000" points="331.5125,-430.1184 323.205,-436.6939 333.7998,-436.7342 331.5125,-430.1184"/>
</g>
<!-- module~elements -->
<g id="proc~~velocityinletboundary~~UsesGraph_node8" class="node">
<title>module~elements</title>
<g id="a_proc~~velocityinletboundary~~UsesGraph_node8"><a xlink:href=".././module/elements.html" xlink:title="elements">
<polygon fill="#337ab7" stroke="#337ab7" points="560.5,-295.7879 504.5,-295.7879 504.5,-271.7879 560.5,-271.7879 560.5,-295.7879"/>
<text text-anchor="middle" x="532.5" y="-281.3879" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">elements</text>
</a>
</g>
</g>
<!-- module~flubiomesh&#45;&gt;module~elements -->
<g id="proc~~velocityinletboundary~~UsesGraph_edge8" class="edge">
<title>module~flubiomesh&#45;&gt;module~elements</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M612.762,-283.7879C599.62,-283.7879 584.3253,-283.7879 570.6337,-283.7879"/>
<polygon fill="#000000" stroke="#000000" points="570.5384,-280.288 560.5383,-283.7879 570.5383,-287.288 570.5384,-280.288"/>
</g>
<!-- module~flubioboundaries -->
<g id="proc~~velocityinletboundary~~UsesGraph_node9" class="node">
<title>module~flubioboundaries</title>
<g id="a_proc~~velocityinletboundary~~UsesGraph_node9"><a xlink:href=".././module/flubioboundaries.html" xlink:title="flubioBoundaries">
<polygon fill="#337ab7" stroke="#337ab7" points="342,-57.7879 250,-57.7879 250,-33.7879 342,-33.7879 342,-57.7879"/>
<text text-anchor="middle" x="296" y="-43.3879" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">flubioBoundaries</text>
</a>
</g>
</g>
<!-- module~flubiomesh&#45;&gt;module~flubioboundaries -->
<g id="proc~~velocityinletboundary~~UsesGraph_edge9" class="edge">
<title>module~flubiomesh&#45;&gt;module~flubioboundaries</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M418.5,-45.7879C399.0129,-33.8194 374.2831,-31.9055 352.1533,-33.7111"/>
<polygon fill="#000000" stroke="#000000" points="351.766,-30.2325 342.1966,-34.7797 352.513,-37.1925 351.766,-30.2325"/>
</g>
<!-- mpi -->
<g id="proc~~velocityinletboundary~~UsesGraph_node10" class="node">
<title>mpi</title>
<g id="a_proc~~velocityinletboundary~~UsesGraph_node10"><a xlink:href="http://www.mpi-forum.org/docs/mpi-3.1/mpi31-report/node410.htm" xlink:title="mpi">
<polygon fill="#337ab7" stroke="#337ab7" points="70.5,-68.7879 16.5,-68.7879 16.5,-44.7879 70.5,-44.7879 70.5,-68.7879"/>
<text text-anchor="middle" x="43.5" y="-54.3879" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">mpi</text>
</a>
</g>
</g>
<!-- module~flubiomesh&#45;&gt;mpi -->
<g id="proc~~velocityinletboundary~~UsesGraph_edge7" class="edge">
<title>module~flubiomesh&#45;&gt;mpi</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M634.2342,-271.5418C621.6158,-257.7666 599.5485,-235.4129 577,-220.7879 558.9577,-209.0856 551.6553,-211.5626 532.5,-201.7879"/>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M532.5,-201.7879C456.0099,-162.756 491.6742,-90.7297 418.5,-45.7879"/>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M418.5,-45.7879C306.3063,23.1187 252.2618,.2509 123,-24.7879 106.9783,-27.8914 90.0912,-34.2101 76.0216,-40.419"/>
<polygon fill="#000000" stroke="#000000" points="74.4071,-37.3089 66.7766,-44.6591 77.3253,-43.6716 74.4071,-37.3089"/>
</g>
<!-- module~elements&#45;&gt;module~globalmeshvar -->
<g id="proc~~velocityinletboundary~~UsesGraph_edge11" class="edge">
<title>module~elements&#45;&gt;module~globalmeshvar</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M504.1581,-281.1015C480.9496,-279.5427 447.3563,-278.7566 418.5,-283.7879"/>
</g>
<!-- module~faces -->
<g id="proc~~velocityinletboundary~~UsesGraph_node11" class="node">
<title>module~faces</title>
<g id="a_proc~~velocityinletboundary~~UsesGraph_node11"><a xlink:href=".././module/faces.html" xlink:title="faces">
<polygon fill="#337ab7" stroke="#337ab7" points="445.5,-179.7879 391.5,-179.7879 391.5,-155.7879 445.5,-155.7879 445.5,-179.7879"/>
<text text-anchor="middle" x="418.5" y="-165.3879" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">faces</text>
</a>
</g>
</g>
<!-- module~elements&#45;&gt;module~faces -->
<g id="proc~~velocityinletboundary~~UsesGraph_edge13" class="edge">
<title>module~elements&#45;&gt;module~faces</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M504.3976,-273.1395C498.6504,-270.2645 492.8753,-266.8121 488,-262.7879 462.7162,-241.9179 441.8276,-209.8965 429.755,-188.8966"/>
<polygon fill="#000000" stroke="#000000" points="432.7759,-187.1275 424.8444,-180.1032 426.6643,-190.5405 432.7759,-187.1275"/>
</g>
<!-- module~cellregions -->
<g id="proc~~velocityinletboundary~~UsesGraph_node14" class="node">
<title>module~cellregions</title>
<g id="a_proc~~velocityinletboundary~~UsesGraph_node14"><a xlink:href=".././module/cellregions.html" xlink:title="cellRegions">
<polygon fill="#337ab7" stroke="#337ab7" points="452,-377.7879 385,-377.7879 385,-353.7879 452,-353.7879 452,-377.7879"/>
<text text-anchor="middle" x="418.5" y="-363.3879" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">cellRegions</text>
</a>
</g>
</g>
<!-- module~elements&#45;&gt;module~cellregions -->
<g id="proc~~velocityinletboundary~~UsesGraph_edge12" class="edge">
<title>module~elements&#45;&gt;module~cellregions</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M515.6789,-295.8873C496.6511,-309.5739 465.4694,-332.0029 443.5702,-347.755"/>
<polygon fill="#000000" stroke="#000000" points="441.4644,-344.9582 435.3901,-353.6389 445.5519,-350.6409 441.4644,-344.9582"/>
</g>
<!-- module~flubioboundaries&#45;&gt;module~globalmeshvar -->
<g id="proc~~velocityinletboundary~~UsesGraph_edge14" class="edge">
<title>module~flubioboundaries&#45;&gt;module~globalmeshvar</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M283.3192,-58.1958C271.9779,-69.671 255.296,-87.5128 243,-104.7879 214.682,-144.573 188.7158,-195.6607 175.061,-224.1381"/>
<polygon fill="#000000" stroke="#000000" points="171.7235,-223.0083 170.6058,-233.544 178.0497,-226.0048 171.7235,-223.0083"/>
</g>
<!-- module~strings -->
<g id="proc~~velocityinletboundary~~UsesGraph_node12" class="node">
<title>module~strings</title>
<g id="a_proc~~velocityinletboundary~~UsesGraph_node12"><a xlink:href=".././module/strings.html" xlink:title="strings">
<polygon fill="#337ab7" stroke="#337ab7" points="192,-57.7879 138,-57.7879 138,-33.7879 192,-33.7879 192,-57.7879"/>
<text text-anchor="middle" x="165" y="-43.3879" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">strings</text>
</a>
</g>
</g>
<!-- module~flubioboundaries&#45;&gt;module~strings -->
<g id="proc~~velocityinletboundary~~UsesGraph_edge15" class="edge">
<title>module~flubioboundaries&#45;&gt;module~strings</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M249.8143,-45.7879C234.284,-45.7879 217.1627,-45.7879 202.394,-45.7879"/>
<polygon fill="#000000" stroke="#000000" points="202.1123,-42.288 192.1122,-45.7879 202.1122,-49.288 202.1123,-42.288"/>
</g>
<!-- module~flubiompi -->
<g id="proc~~velocityinletboundary~~UsesGraph_node13" class="node">
<title>module~flubiompi</title>
<g id="a_proc~~velocityinletboundary~~UsesGraph_node13"><a xlink:href=".././module/flubiompi.html" xlink:title="flubioMpi">
<polygon fill="#337ab7" stroke="#337ab7" points="192.5,-118.7879 137.5,-118.7879 137.5,-94.7879 192.5,-94.7879 192.5,-118.7879"/>
<text text-anchor="middle" x="165" y="-104.3879" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">flubioMpi</text>
</a>
</g>
</g>
<!-- module~flubioboundaries&#45;&gt;module~flubiompi -->
<g id="proc~~velocityinletboundary~~UsesGraph_edge16" class="edge">
<title>module~flubioboundaries&#45;&gt;module~flubiompi</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M270.1186,-57.8395C250.113,-67.1551 222.209,-80.1486 200.1778,-90.4074"/>
<polygon fill="#000000" stroke="#000000" points="198.4155,-87.3671 190.8276,-94.7613 201.3705,-93.7128 198.4155,-87.3671"/>
</g>
<!-- module~faces&#45;&gt;module~globalmeshvar -->
<g id="proc~~velocityinletboundary~~UsesGraph_edge17" class="edge">
<title>module~faces&#45;&gt;module~globalmeshvar</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M391.3711,-176.1353C349.1334,-189.1315 267.0248,-214.3957 214.1679,-230.6593"/>
<polygon fill="#000000" stroke="#000000" points="212.8597,-227.3998 204.3312,-233.686 214.9184,-234.0903 212.8597,-227.3998"/>
</g>
<!-- module~faces&#45;&gt;module~flubiompi -->
<g id="proc~~velocityinletboundary~~UsesGraph_edge19" class="edge">
<title>module~faces&#45;&gt;module~flubiompi</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M409.8135,-155.6767C398.0439,-140.4262 375.4376,-114.9871 349,-104.7879 301.187,-86.3424 241.0453,-91.7994 202.8008,-98.4456"/>
<polygon fill="#000000" stroke="#000000" points="201.8172,-95.0682 192.623,-100.3329 203.0935,-101.9509 201.8172,-95.0682"/>
</g>
<!-- module~nodes -->
<g id="proc~~velocityinletboundary~~UsesGraph_node15" class="node">
<title>module~nodes</title>
<g id="a_proc~~velocityinletboundary~~UsesGraph_node15"><a xlink:href=".././module/nodes.html" xlink:title="nodes">
<polygon fill="#337ab7" stroke="#337ab7" points="323,-179.7879 269,-179.7879 269,-155.7879 323,-155.7879 323,-179.7879"/>
<text text-anchor="middle" x="296" y="-165.3879" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">nodes</text>
</a>
</g>
</g>
<!-- module~faces&#45;&gt;module~nodes -->
<g id="proc~~velocityinletboundary~~UsesGraph_edge20" class="edge">
<title>module~faces&#45;&gt;module~nodes</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M391.3133,-167.7879C374.2642,-167.7879 352.0521,-167.7879 333.3601,-167.7879"/>
<polygon fill="#000000" stroke="#000000" points="333.1108,-164.288 323.1107,-167.7879 333.1107,-171.288 333.1108,-164.288"/>
</g>
<!-- module~userdefininedtypes -->
<g id="proc~~velocityinletboundary~~UsesGraph_node18" class="node">
<title>module~userdefininedtypes</title>
<g id="a_proc~~velocityinletboundary~~UsesGraph_node18"><a xlink:href=".././module/userdefininedtypes.html" xlink:title="userDefininedTypes">
<polygon fill="#337ab7" stroke="#337ab7" points="349,-137.7879 243,-137.7879 243,-113.7879 349,-113.7879 349,-137.7879"/>
<text text-anchor="middle" x="296" y="-123.3879" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">userDefininedTypes</text>
</a>
</g>
</g>
<!-- module~faces&#45;&gt;module~userdefininedtypes -->
<g id="proc~~velocityinletboundary~~UsesGraph_edge18" class="edge">
<title>module~faces&#45;&gt;module~userdefininedtypes</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M391.3133,-158.4667C376.4647,-153.3758 357.6999,-146.9422 340.755,-141.1325"/>
<polygon fill="#000000" stroke="#000000" points="341.6265,-137.7313 331.0318,-137.7988 339.3561,-144.3529 341.6265,-137.7313"/>
</g>
<!-- module~flubiompi&#45;&gt;mpi -->
<g id="proc~~velocityinletboundary~~UsesGraph_edge21" class="edge">
<title>module~flubiompi&#45;&gt;mpi</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M137.4298,-95.4421C120.3779,-88.4249 98.295,-79.3373 79.8257,-71.7367"/>
<polygon fill="#000000" stroke="#000000" points="81.1221,-68.4855 70.5426,-67.9165 78.4582,-74.9588 81.1221,-68.4855"/>
</g>
<!-- module~cellregions&#45;&gt;module~globalmeshvar -->
<g id="proc~~velocityinletboundary~~UsesGraph_edge22" class="edge">
<title>module~cellregions&#45;&gt;module~globalmeshvar</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M393.261,-377.9164C357.2665,-393.3035 290.3157,-414.6863 243,-386.7879 199.2657,-361.0012 178.3393,-300.9134 169.8623,-268.1179"/>
<polygon fill="#000000" stroke="#000000" points="173.2002,-267.0297 167.4498,-258.1312 166.3959,-268.6735 173.2002,-267.0297"/>
</g>
<!-- module~cellregions&#45;&gt;module~math -->
<g id="proc~~velocityinletboundary~~UsesGraph_edge26" class="edge">
<title>module~cellregions&#45;&gt;module~math</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M404.7453,-377.8468C391.1512,-389.4262 369.4764,-406.9984 349,-419.7879 343.8211,-423.0226 338.1821,-426.16 332.5778,-429.07"/>
<polygon fill="#000000" stroke="#000000" points="330.6424,-426.1247 323.266,-433.7299 333.7751,-432.3846 330.6424,-426.1247"/>
</g>
<!-- module~cellregions&#45;&gt;module~flubiompi -->
<g id="proc~~velocityinletboundary~~UsesGraph_edge27" class="edge">
<title>module~cellregions&#45;&gt;module~flubiompi</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M406.0699,-353.429C377.2289,-324.7145 303.5984,-251.1853 243,-188.7879 222.4137,-167.5905 199.096,-142.9992 183.3606,-126.3171"/>
<polygon fill="#000000" stroke="#000000" points="185.6952,-123.691 176.2903,-118.8126 180.6002,-128.4912 185.6952,-123.691"/>
</g>
<!-- module~vecfor -->
<g id="proc~~velocityinletboundary~~UsesGraph_node16" class="node">
<title>module~vecfor</title>
<g id="a_proc~~velocityinletboundary~~UsesGraph_node16"><a xlink:href=".././module/vecfor.html" xlink:title="vecfor">
<polygon fill="#337ab7" stroke="#337ab7" points="323,-537.7879 269,-537.7879 269,-513.7879 323,-513.7879 323,-537.7879"/>
<text text-anchor="middle" x="296" y="-523.3879" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">vecfor</text>
</a>
</g>
</g>
<!-- module~cellregions&#45;&gt;module~vecfor -->
<g id="proc~~velocityinletboundary~~UsesGraph_edge23" class="edge">
<title>module~cellregions&#45;&gt;module~vecfor</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M410.8514,-377.9613C398.5374,-397.3065 373.2374,-436.0242 349,-466.7879 338.3033,-480.3648 325.3532,-494.8132 314.9316,-506.0138"/>
<polygon fill="#000000" stroke="#000000" points="312.1585,-503.8537 307.8584,-513.5367 317.2583,-508.6488 312.1585,-503.8537"/>
</g>
<!-- fossil -->
<g id="proc~~velocityinletboundary~~UsesGraph_node17" class="node">
<title>fossil</title>
<polygon fill="#337ab7" stroke="#337ab7" points="323,-335.7879 269,-335.7879 269,-311.7879 323,-311.7879 323,-335.7879"/>
<text text-anchor="middle" x="296" y="-321.3879" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">fossil</text>
</g>
<!-- module~cellregions&#45;&gt;fossil -->
<g id="proc~~velocityinletboundary~~UsesGraph_edge24" class="edge">
<title>module~cellregions&#45;&gt;fossil</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M384.7021,-354.2C368.6328,-348.6906 349.385,-342.0913 332.9321,-336.4503"/>
<polygon fill="#000000" stroke="#000000" points="333.697,-333.0127 323.1024,-333.0802 331.4267,-339.6343 333.697,-333.0127"/>
</g>
<!-- module~globaltimevar -->
<g id="proc~~velocityinletboundary~~UsesGraph_node19" class="node">
<title>module~globaltimevar</title>
<g id="a_proc~~velocityinletboundary~~UsesGraph_node19"><a xlink:href=".././module/globaltimevar.html" xlink:title="globalTimeVar">
<polygon fill="#337ab7" stroke="#337ab7" points="337,-377.7879 255,-377.7879 255,-353.7879 337,-353.7879 337,-377.7879"/>
<text text-anchor="middle" x="296" y="-363.3879" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">globalTimeVar</text>
</a>
</g>
</g>
<!-- module~cellregions&#45;&gt;module~globaltimevar -->
<g id="proc~~velocityinletboundary~~UsesGraph_edge25" class="edge">
<title>module~cellregions&#45;&gt;module~globaltimevar</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M384.7021,-365.7879C373.0789,-365.7879 359.7928,-365.7879 347.1042,-365.7879"/>
<polygon fill="#000000" stroke="#000000" points="347.0996,-362.288 337.0995,-365.7879 347.0995,-369.288 347.0996,-362.288"/>
</g>
<!-- module~nodes&#45;&gt;module~globalmeshvar -->
<g id="proc~~velocityinletboundary~~UsesGraph_edge28" class="edge">
<title>module~nodes&#45;&gt;module~globalmeshvar</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M269.7638,-179.8119C261.1137,-183.9989 251.5285,-188.8817 243,-193.7879 224.7211,-204.3032 204.964,-217.4951 189.9075,-227.9605"/>
<polygon fill="#000000" stroke="#000000" points="187.8083,-225.1577 181.6324,-233.7664 191.8287,-230.888 187.8083,-225.1577"/>
</g>
<!-- module~nodes&#45;&gt;module~flubiompi -->
<g id="proc~~velocityinletboundary~~UsesGraph_edge29" class="edge">
<title>module~nodes&#45;&gt;module~flubiompi</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M268.826,-157.6031C260.471,-154.3162 251.2935,-150.5469 243,-146.7879 227.3087,-139.6759 210.2426,-131.0321 196.0859,-123.602"/>
<polygon fill="#000000" stroke="#000000" points="197.7223,-120.5081 187.2467,-118.9228 194.4473,-126.6947 197.7223,-120.5081"/>
</g>
<!-- module~vecfor_r8p -->
<g id="proc~~velocityinletboundary~~UsesGraph_node20" class="node">
<title>module~vecfor_r8p</title>
<g id="a_proc~~velocityinletboundary~~UsesGraph_node20"><a xlink:href=".././module/vecfor_r8p.html" xlink:title="vecfor_R8P">
<polygon fill="#337ab7" stroke="#337ab7" points="199,-474.7879 131,-474.7879 131,-450.7879 199,-450.7879 199,-474.7879"/>
<text text-anchor="middle" x="165" y="-460.3879" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">vecfor_R8P</text>
</a>
</g>
</g>
<!-- module~vecfor&#45;&gt;module~vecfor_r8p -->
<g id="proc~~velocityinletboundary~~UsesGraph_edge30" class="edge">
<title>module~vecfor&#45;&gt;module~vecfor_r8p</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M270.7419,-513.6409C250.4444,-503.8795 221.7293,-490.0699 199.3438,-479.3044"/>
<polygon fill="#000000" stroke="#000000" points="200.7095,-476.0775 190.1806,-474.8976 197.6757,-482.3859 200.7095,-476.0775"/>
</g>
<!-- module~vecfor_rpp -->
<g id="proc~~velocityinletboundary~~UsesGraph_node21" class="node">
<title>module~vecfor_rpp</title>
<g id="a_proc~~velocityinletboundary~~UsesGraph_node21"><a xlink:href=".././module/vecfor_rpp.html" xlink:title="vecfor_RPP">
<polygon fill="#337ab7" stroke="#337ab7" points="199.5,-600.7879 130.5,-600.7879 130.5,-576.7879 199.5,-576.7879 199.5,-600.7879"/>
<text text-anchor="middle" x="165" y="-586.3879" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">vecfor_RPP</text>
</a>
</g>
</g>
<!-- module~vecfor&#45;&gt;module~vecfor_rpp -->
<g id="proc~~velocityinletboundary~~UsesGraph_edge31" class="edge">
<title>module~vecfor&#45;&gt;module~vecfor_rpp</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M270.7419,-537.9349C250.4444,-547.6963 221.7293,-561.5059 199.3438,-572.2714"/>
<polygon fill="#000000" stroke="#000000" points="197.6757,-569.1899 190.1806,-576.6782 200.7095,-575.4983 197.6757,-569.1899"/>
</g>
<!-- module~vecfor_r4p -->
<g id="proc~~velocityinletboundary~~UsesGraph_node22" class="node">
<title>module~vecfor_r4p</title>
<g id="a_proc~~velocityinletboundary~~UsesGraph_node22"><a xlink:href=".././module/vecfor_r4p.html" xlink:title="vecfor_R4P">
<polygon fill="#337ab7" stroke="#337ab7" points="199,-558.7879 131,-558.7879 131,-534.7879 199,-534.7879 199,-558.7879"/>
<text text-anchor="middle" x="165" y="-544.3879" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">vecfor_R4P</text>
</a>
</g>
</g>
<!-- module~vecfor&#45;&gt;module~vecfor_r4p -->
<g id="proc~~velocityinletboundary~~UsesGraph_edge32" class="edge">
<title>module~vecfor&#45;&gt;module~vecfor_r4p</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M268.8567,-530.1391C251.6257,-532.9013 228.9267,-536.5401 209.1454,-539.7112"/>
<polygon fill="#000000" stroke="#000000" points="208.4313,-536.2809 199.1114,-541.3197 209.5394,-543.1926 208.4313,-536.2809"/>
</g>
<!-- module~vecfor_r16p -->
<g id="proc~~velocityinletboundary~~UsesGraph_node23" class="node">
<title>module~vecfor_r16p</title>
<g id="a_proc~~velocityinletboundary~~UsesGraph_node23"><a xlink:href=".././module/vecfor_r16p.html" xlink:title="vecfor_R16P">
<polygon fill="#337ab7" stroke="#337ab7" points="202,-516.7879 128,-516.7879 128,-492.7879 202,-492.7879 202,-516.7879"/>
<text text-anchor="middle" x="165" y="-502.3879" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">vecfor_R16P</text>
</a>
</g>
</g>
<!-- module~vecfor&#45;&gt;module~vecfor_r16p -->
<g id="proc~~velocityinletboundary~~UsesGraph_edge33" class="edge">
<title>module~vecfor&#45;&gt;module~vecfor_r16p</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M268.8567,-521.4367C252.4671,-518.8093 231.1303,-515.3889 212.0629,-512.3323"/>
<polygon fill="#000000" stroke="#000000" points="212.4721,-508.8533 202.0441,-510.7263 211.364,-515.7651 212.4721,-508.8533"/>
</g>
<!-- module~userdefininedtypes&#45;&gt;module~flubiompi -->
<g id="proc~~velocityinletboundary~~UsesGraph_edge34" class="edge">
<title>module~userdefininedtypes&#45;&gt;module~flubiompi</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M242.7173,-118.0599C229.3248,-116.1175 215.2259,-114.0726 202.7684,-112.2658"/>
<polygon fill="#000000" stroke="#000000" points="203.1405,-108.7832 192.7417,-110.8115 202.1357,-115.7107 203.1405,-108.7832"/>
</g>
<!-- iso_fortran_env -->
<g id="proc~~velocityinletboundary~~UsesGraph_node24" class="node">
<title>iso_fortran_env</title>
<g id="a_proc~~velocityinletboundary~~UsesGraph_node24"><a xlink:href="http://fortranwiki.org/fortran/show/iso_fortran_env" xlink:title="iso_fortran_env">
<polygon fill="#337ab7" stroke="#337ab7" points="87,-516.7879 0,-516.7879 0,-492.7879 87,-492.7879 87,-516.7879"/>
<text text-anchor="middle" x="43.5" y="-502.3879" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">iso_fortran_env</text>
</a>
</g>
</g>
<!-- module~vecfor_r8p&#45;&gt;iso_fortran_env -->
<g id="proc~~velocityinletboundary~~UsesGraph_edge35" class="edge">
<title>module~vecfor_r8p&#45;&gt;iso_fortran_env</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M130.8321,-474.599C117.4875,-479.212 102.0112,-484.5618 87.8265,-489.4652"/>
<polygon fill="#000000" stroke="#000000" points="86.5625,-486.1988 78.2548,-492.7739 88.8495,-492.8147 86.5625,-486.1988"/>
</g>
<!-- penf -->
<g id="proc~~velocityinletboundary~~UsesGraph_node25" class="node">
<title>penf</title>
<polygon fill="#337ab7" stroke="#337ab7" points="70.5,-558.7879 16.5,-558.7879 16.5,-534.7879 70.5,-534.7879 70.5,-558.7879"/>
<text text-anchor="middle" x="43.5" y="-544.3879" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">penf</text>
</g>
<!-- module~vecfor_r8p&#45;&gt;penf -->
<g id="proc~~velocityinletboundary~~UsesGraph_edge36" class="edge">
<title>module~vecfor_r8p&#45;&gt;penf</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M136.9438,-474.8482C132.0868,-477.477 127.241,-480.4767 123,-483.7879 103.6216,-498.9181 106.483,-510.7926 87,-525.7879 84.6948,-527.5621 82.2157,-529.2411 79.652,-530.818"/>
<polygon fill="#000000" stroke="#000000" points="77.7769,-527.856 70.7403,-535.7767 81.1805,-533.9729 77.7769,-527.856"/>
</g>
<!-- module~vecfor_rpp&#45;&gt;iso_fortran_env -->
<g id="proc~~velocityinletboundary~~UsesGraph_edge37" class="edge">
<title>module~vecfor_rpp&#45;&gt;iso_fortran_env</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M136.9438,-576.7276C132.0868,-574.0988 127.241,-571.0991 123,-567.7879 103.6216,-552.6577 106.483,-540.7832 87,-525.7879 85.4051,-524.5603 83.7268,-523.3784 81.995,-522.2442"/>
<polygon fill="#000000" stroke="#000000" points="83.4222,-519.0237 73.0259,-516.9826 79.8802,-525.0615 83.4222,-519.0237"/>
</g>
<!-- module~vecfor_rpp&#45;&gt;penf -->
<g id="proc~~velocityinletboundary~~UsesGraph_edge38" class="edge">
<title>module~vecfor_rpp&#45;&gt;penf</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M130.183,-576.7524C114.5039,-571.3325 95.9876,-564.9318 80.1023,-559.4406"/>
<polygon fill="#000000" stroke="#000000" points="81.1952,-556.1152 70.6004,-556.1559 78.9081,-562.731 81.1952,-556.1152"/>
</g>
<!-- module~vecfor_r4p&#45;&gt;iso_fortran_env -->
<g id="proc~~velocityinletboundary~~UsesGraph_edge39" class="edge">
<title>module~vecfor_r4p&#45;&gt;iso_fortran_env</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M130.8321,-534.9768C117.4875,-530.3638 102.0112,-525.014 87.8265,-520.1106"/>
<polygon fill="#000000" stroke="#000000" points="88.8495,-516.7611 78.2548,-516.8019 86.5625,-523.377 88.8495,-516.7611"/>
</g>
<!-- module~vecfor_r4p&#45;&gt;penf -->
<g id="proc~~velocityinletboundary~~UsesGraph_edge40" class="edge">
<title>module~vecfor_r4p&#45;&gt;penf</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M130.8321,-546.7879C115.2864,-546.7879 96.8479,-546.7879 80.9284,-546.7879"/>
<polygon fill="#000000" stroke="#000000" points="80.8865,-543.288 70.8865,-546.7879 80.8865,-550.288 80.8865,-543.288"/>
</g>
<!-- module~vecfor_r16p&#45;&gt;iso_fortran_env -->
<g id="proc~~velocityinletboundary~~UsesGraph_edge41" class="edge">
<title>module~vecfor_r16p&#45;&gt;iso_fortran_env</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M127.8858,-504.7879C118.2552,-504.7879 107.6857,-504.7879 97.3831,-504.7879"/>
<polygon fill="#000000" stroke="#000000" points="97.2141,-501.288 87.2141,-504.7879 97.214,-508.288 97.2141,-501.288"/>
</g>
<!-- module~vecfor_r16p&#45;&gt;penf -->
<g id="proc~~velocityinletboundary~~UsesGraph_edge42" class="edge">
<title>module~vecfor_r16p&#45;&gt;penf</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M130.183,-516.8234C114.5039,-522.2433 95.9876,-528.644 80.1023,-534.1352"/>
<polygon fill="#000000" stroke="#000000" points="78.9081,-530.8448 70.6004,-537.4199 81.1952,-537.4606 78.9081,-530.8448"/>
</g>
</g>
</svg>
</div><script>var panprocvelocityinletboundaryUsesGraph = svgPanZoom('#procvelocityinletboundaryUsesGraph', {zoomEnabled: true,controlIconsEnabled: true, fit: true, center: true,}); </script><div><a type="button" class="graph-help" data-toggle="modal" href="#graph-help-text">Help</a></div><div class="modal fade" id="graph-help-text" tabindex="-1" role="dialog"><div class="modal-dialog modal-lg" role="document"><div class="modal-content"><div class="modal-header"><button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button><h4 class="modal-title" id="-graph-help-label">Graph Key</h4></div><div class="modal-body">
    <p>Nodes of different colours represent the following: </p>
    <?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"
 "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
<!-- Generated by graphviz version 2.40.1 (20161225.0304)
 -->
<!-- Title: Graph Key Pages: 1 -->
<svg width="490pt" height="32pt"
 viewBox="0.00 0.00 489.50 32.00" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
<g id="graph0" class="graph" transform="scale(1 1) rotate(0) translate(4 28)">
<title>Graph Key</title>
<polygon fill="#ffffff" stroke="transparent" points="-4,4 -4,-28 485.5,-28 485.5,4 -4,4"/>
<!-- Module -->
<g id="node1" class="node">
<title>Module</title>
<polygon fill="#337ab7" stroke="#337ab7" points="54,-24 0,-24 0,0 54,0 54,-24"/>
<text text-anchor="middle" x="27" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Module</text>
</g>
<!-- Submodule -->
<g id="node2" class="node">
<title>Submodule</title>
<polygon fill="#5bc0de" stroke="#5bc0de" points="139.5,-24 72.5,-24 72.5,0 139.5,0 139.5,-24"/>
<text text-anchor="middle" x="106" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Submodule</text>
</g>
<!-- Subroutine -->
<g id="node3" class="node">
<title>Subroutine</title>
<polygon fill="#d9534f" stroke="#d9534f" points="222,-24 158,-24 158,0 222,0 222,-24"/>
<text text-anchor="middle" x="190" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Subroutine</text>
</g>
<!-- Function -->
<g id="node4" class="node">
<title>Function</title>
<polygon fill="#d94e8f" stroke="#d94e8f" points="294,-24 240,-24 240,0 294,0 294,-24"/>
<text text-anchor="middle" x="267" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Function</text>
</g>
<!-- Program -->
<g id="node5" class="node">
<title>Program</title>
<polygon fill="#f0ad4e" stroke="#f0ad4e" points="366,-24 312,-24 312,0 366,0 366,-24"/>
<text text-anchor="middle" x="339" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Program</text>
</g>
<!-- This Page&#39;s Entity -->
<g id="node6" class="node">
<title>This Page&#39;s Entity</title>
<polygon fill="none" stroke="#000000" points="481.5,-24 384.5,-24 384.5,0 481.5,0 481.5,-24"/>
<text text-anchor="middle" x="433" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#000000">This Page&#39;s Entity</text>
</g>
</g>
</svg>

    
    <p>Solid arrows point from a submodule to the (sub)module which it is
    descended from. Dashed arrows point from a module or program unit to 
    modules which it uses.
    </p>
    </div></div></div></div>
      </li>
      
      </ul>
    </div>
    


    
    <p>velocityInletBoundary computes computes the diagonal coefficient and rhs correction when an inlet (specified velocity)
    boundary condition is applied.
 The correction reads:
 <script type="math/tex; mode=display">\begin{eqnarray}
    &textbf{a}_C^b = \mu_b\frac{|S_b|}{d_{\perp}}(1-\textbf{n}_b^2) \\
    &textbf{b}_C^b = -m_f\textbf{u}_b + \mu_b\frac{|S_b|}{d_{\perp}}\textbf{u}_b
 \end{eqnarray}</script>
</p>
    

    <h3>Arguments</h3>
    
      
<table class="table table-striped varlist">
<thead><tr><th>Type</th>
<th>Intent</th><th>Optional</th>
<th>Attributes</th><th></th><th>Name</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-ibface%7E6"></span>integer</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>iBFace</strong></td><td><p>target boundary face</p></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-ac%7E7"></span>real</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>aC</strong>(3)</td><td><p>diagonal coefficient corretion due to the velocity inlet boundary condition at the target boundary face owner</p></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-bc%7E7"></span>real</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>bC</strong>(3)</td><td><p>right hand side corretion due to the velocity inlet boundary condition</p></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-phib%7E5"></span>real</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>phib</strong>(3)</td><td><p>velocity value prescribed at the target boundary</p></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-mu%7E5"></span>real</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>mu</strong></td><td><p>dinamic viscosity at a target boundary face</p></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-c%7E4"></span>real</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>c</strong></td><td></td>
  
</tr>

</tbody>
</table>

    
    
    
    <br>
    
    
     
    <div class="panel panel-default">
      <div class="panel-heading">
  <h3 class="panel-title">Called by</h3>
      </div>
      <div class="panel-body">
  <div class="depgraph"><?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"
 "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
<!-- Generated by graphviz version 2.40.1 (20161225.0304)
 -->
<!-- Title: proc~~velocityinletboundary~~CalledByGraph Pages: 1 -->
<svg id="procvelocityinletboundaryCalledByGraph" width="346pt" height="32pt"
 viewBox="0.00 0.00 346.00 32.00" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
<g id="proc~~velocityinletboundary~~CalledByGraph" class="graph" transform="scale(1 1) rotate(0) translate(4 28)">
<title>proc~~velocityinletboundary~~CalledByGraph</title>
<polygon fill="#ffffff" stroke="transparent" points="-4,4 -4,-28 342,-28 342,4 -4,4"/>
<!-- proc~velocityinletboundary -->
<g id="proc~~velocityinletboundary~~CalledByGraph_node1" class="node">
<title>proc~velocityinletboundary</title>
<polygon fill="none" stroke="#000000" points="338,-24 224,-24 224,0 338,0 338,-24"/>
<text text-anchor="middle" x="281" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#000000">velocityInletBoundary</text>
</g>
<!-- proc~applyboundaryconditionsmomentum -->
<g id="proc~~velocityinletboundary~~CalledByGraph_node2" class="node">
<title>proc~applyboundaryconditionsmomentum</title>
<g id="a_proc~~velocityinletboundary~~CalledByGraph_node2"><a xlink:href=".././proc/applyboundaryconditionsmomentum.html" xlink:title="applyBoundaryConditionsMomentum">
<polygon fill="#d9534f" stroke="#d9534f" points="188,-24 0,-24 0,0 188,0 188,-24"/>
<text text-anchor="middle" x="94" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">applyBoundaryConditionsMomentum</text>
</a>
</g>
</g>
<!-- proc~applyboundaryconditionsmomentum&#45;&gt;proc~velocityinletboundary -->
<g id="proc~~velocityinletboundary~~CalledByGraph_edge1" class="edge">
<title>proc~applyboundaryconditionsmomentum&#45;&gt;proc~velocityinletboundary</title>
<path fill="none" stroke="#000000" d="M188.0478,-12C196.777,-12 205.4997,-12 213.9118,-12"/>
<polygon fill="#000000" stroke="#000000" points="213.9981,-15.5001 223.998,-12 213.998,-8.5001 213.9981,-15.5001"/>
</g>
</g>
</svg>
</div><div><a type="button" class="graph-help" data-toggle="modal" href="#graph-help-text">Help</a></div><div class="modal fade" id="graph-help-text" tabindex="-1" role="dialog"><div class="modal-dialog modal-lg" role="document"><div class="modal-content"><div class="modal-header"><button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button><h4 class="modal-title" id="-graph-help-label">Graph Key</h4></div><div class="modal-body">
    <p>Nodes of different colours represent the following: </p>
    <?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"
 "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
<!-- Generated by graphviz version 2.40.1 (20161225.0304)
 -->
<!-- Title: Graph Key Pages: 1 -->
<svg width="558pt" height="32pt"
 viewBox="0.00 0.00 557.50 32.00" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
<g id="graph0" class="graph" transform="scale(1 1) rotate(0) translate(4 28)">
<title>Graph Key</title>
<polygon fill="#ffffff" stroke="transparent" points="-4,4 -4,-28 553.5,-28 553.5,4 -4,4"/>
<!-- Subroutine -->
<g id="node1" class="node">
<title>Subroutine</title>
<polygon fill="#d9534f" stroke="#d9534f" points="64,-24 0,-24 0,0 64,0 64,-24"/>
<text text-anchor="middle" x="32" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Subroutine</text>
</g>
<!-- Function -->
<g id="node2" class="node">
<title>Function</title>
<polygon fill="#d94e8f" stroke="#d94e8f" points="136,-24 82,-24 82,0 136,0 136,-24"/>
<text text-anchor="middle" x="109" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Function</text>
</g>
<!-- Interface -->
<g id="node3" class="node">
<title>Interface</title>
<polygon fill="#a7506f" stroke="#a7506f" points="209.5,-24 154.5,-24 154.5,0 209.5,0 209.5,-24"/>
<text text-anchor="middle" x="182" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Interface</text>
</g>
<!-- Unknown Procedure Type -->
<g id="node4" class="node">
<title>Unknown Procedure Type</title>
<polygon fill="#777777" stroke="#777777" points="362,-24 228,-24 228,0 362,0 362,-24"/>
<text text-anchor="middle" x="295" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Unknown Procedure Type</text>
</g>
<!-- Program -->
<g id="node5" class="node">
<title>Program</title>
<polygon fill="#f0ad4e" stroke="#f0ad4e" points="434,-24 380,-24 380,0 434,0 434,-24"/>
<text text-anchor="middle" x="407" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Program</text>
</g>
<!-- This Page&#39;s Entity -->
<g id="node6" class="node">
<title>This Page&#39;s Entity</title>
<polygon fill="none" stroke="#000000" points="549.5,-24 452.5,-24 452.5,0 549.5,0 549.5,-24"/>
<text text-anchor="middle" x="501" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#000000">This Page&#39;s Entity</text>
</g>
</g>
</svg>

    
    <p>Solid arrows point from a procedure to one which it calls. Dashed 
    arrows point from an interface to procedures which implement that interface.
    This could include the module procedures in a generic interface or the
    implementation in a submodule of an interface in a parent module.
    </p>
    </div></div></div></div>
      </div>
    </div>
     
    <br>

    <section class="visible-xs visible-sm hidden-md">
      
<h3>Contents</h3>
 





















<em>None</em>


    </section>
    <br class="visible-xs visible-sm hidden-md">

    

    
    
    
    
    

    
    
    
    
    


    
    
    
    
    </div>
  </div>


    <hr>    
    </div> <!-- /container -->
    <footer>
      <div class="container">
      <div class="row">
        <div class="col-xs-6 col-md-6"><p>FLUBIO was developed by Edoardo Alinovi and Joel Guerrero<br>&copy; 2021 <a rel="license" href="http://creativecommons.org/licenses/by-nc/4.0/"><img alt="Creative Commons License" style="border-width:0" src="https://i.creativecommons.org/l/by-nc/4.0/80x15.png" /></a>
                                          </p>
        </div>
        <div class="col-xs-6 col-md-6">
          <p class="text-right">
            Documentation generated by 
            <a href="https://github.com/Fortran-FOSS-Programmers/ford">FORD</a>
            
            
          </p>
        </div>
      </div>
      <br>
      </div> <!-- /container -->    
    </footer>

    <!-- Bootstrap core JavaScript
    ================================================== -->
    <!-- Placed at the end of the document so the pages load faster -->
<!--
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.1/jquery.min.js"></script>
-->
    <script src="../js/bootstrap.min.js"></script>
    <!-- IE10 viewport hack for Surface/desktop Windows 8 bug -->
    <script src="../js/ie10-viewport-bug-workaround.js"></script>

    <!-- MathJax JavaScript
    ================================================== -->
    <!-- Placed at the end of the document so the pages load faster -->
    <script type="text/x-mathjax-config">
      MathJax.Hub.Config({
        TeX: { extensions: ['AMSmath.js','AMSsymbols.js','noErrors.js','noUndefined.js'], equationNumbers: { autoNumber: 'AMS' } },
        jax: ['input/TeX','input/MathML','output/HTML-CSS'],
        extensions: ['tex2jax.js','mml2jax.js','MathMenu.js','MathZoom.js']
      });
    </script>
    
    <script src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.1/MathJax.js?config=TeX-AMS-MML_HTMLorMML"></script>
    
    
    <script src="../tipuesearch/tipuesearch_content.js"></script>
    <script src="../tipuesearch/tipuesearch_set.js"></script>
    <script src="../tipuesearch/tipuesearch.js"></script>
    
    
  </body>
</html>